Subject: Re: Zsh on Ubuntu on Windows
From: Tyler James Leonhardt <[email-masked]>
To: Bart Schaefer <[email-masked]>, "Zsh Hackers' List" <[email-masked]>
Date: Sat, 23 Apr 2016 23:42:30 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi all,

I just realized I forgot to attach the link… haha

This apparently has a workaround that I haven’t tried yet.
https://github.com/Microsoft/BashOnWindows/issues/91

I just used apt-get to install it. I’m not sure who compiled it
unfortunately.

Curious to see what you think.

Cheers,

Tyler

On Sat, Apr 23, 2016 at 5:40 PM Bart Schaefer <[email-masked]>
wrote:

> On Sat, Apr 23, 2016 at 6:29 AM, Tyler James Leonhardt
> <[email-masked]> wrote:
> >
> > Unfortunately, it hasn’t been working. I’m not sure if this is a zsh
> issue
> > or if Microsoft’s subsystem for Ubuntu is just acting up. I found this
> > issue on the oh-my-zsh repo:
> >
> > https://github.com/robbyrussell/oh-my-zsh/issues/4984
>
> Based on the error message in that report, either zsh was compiled
> with the wrong config.h settings or Microsoft's emulation of one of
> the wait() family of system calls is incomplete.  I don't know which
> of the following #ifdef branches is being used --
>
> #ifdef HAVE_WAIT3
> # ifdef HAVE_GETRUSAGE
>         struct rusage ru;
>
>         pid = wait3((void *)&status, WAITFLAGS, &ru);
> # else
>         pid = wait3((void *)&status, WAITFLAGS, NULL);
> # endif
> #else
> # ifdef HAVE_WAITPID
>         pid = waitpid(-1, &status, WAITFLAGS);
> # else
>         pid = wait(&status);
> # endif
> #endif
>
> -- but the error message indicates that the returned pid == -1 and
> errno has been set to "invalid argument", so something is askew in
> whichever branch it was.
>
> Who compiled the zsh you are using?
>